summaryrefslogtreecommitdiff
path: root/selftest
diff options
context:
space:
mode:
authorAndreas Schneider <asn@samba.org>2010-08-26 11:41:05 +0200
committerAndreas Schneider <asn@samba.org>2010-08-26 13:42:08 +0200
commitd132b3fbc0ccd89ebb6741e4dd6609b807cbdee3 (patch)
tree08d4fadc18ffd43971b937b35e20801f62af8097 /selftest
parenta701484230bf1119900287326f7a57c07776e4e9 (diff)
downloadsamba-d132b3fbc0ccd89ebb6741e4dd6609b807cbdee3.tar.gz
samba-d132b3fbc0ccd89ebb6741e4dd6609b807cbdee3.tar.bz2
samba-d132b3fbc0ccd89ebb6741e4dd6609b807cbdee3.zip
s3-build: Don't paste the summary.
The buildfarm outputs the summary if it is available and use the exit status of the filter or subunit formatter as exit code.
Diffstat (limited to 'selftest')
-rwxr-xr-xselftest/s3-selftest.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/selftest/s3-selftest.sh b/selftest/s3-selftest.sh
index 8b44629bc3..2087b51af6 100755
--- a/selftest/s3-selftest.sh
+++ b/selftest/s3-selftest.sh
@@ -25,9 +25,9 @@ if [ "x${RUN_FROM_BUILD_FARM}" = "xyes" ]; then
--socket-wrapper ${TESTS} \
&& touch ${SELFTESTPREFIX}/st_done ) | \
${FILTER_XFAIL} --strip-passed-output
+ EXIT_STATUS=$?
st_test_done
- test -f ${SELFTESTPREFIX}/summary && cat ${SELFTESTPREFIX}/summary
else
( rm -f ${SELFTESTPREFIX}/st_done && \
${PERL} ${SELFTESTDIR}/selftest.pl \
@@ -37,8 +37,9 @@ else
--socket-wrapper ${TESTS} \
&& touch ${SELFTESTPREFIX}/st_done ) | \
${SUBUNIT_FORMATTER}
+ EXIT_STATUS=$?
st_test_done
fi
-cleanup_and_exit
+cleanup_and_exit ${EXIT_STATUS}